#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n;
    cin >> n;

    int rows[n],cols[n];

    int rez = 0;
    for(int i = 0; i < n; i++)
    {
        cin >> rows[i] >> cols[i];
        rows[i]--,cols[i]--;
    }

    sort(rows,rows+n);
    sort(cols,cols+n);

    for(int i = 0; i < n; i++)
    {
        rez+=abs(i - rows[i]) + abs(i - cols[i]);
    }

    cout << rez;
}